/*
 * Copyright 2018 Baidu, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package com.baidubce.services.dugo.alarm;

import java.util.List;

import com.baidubce.model.AbstractBceResponse;

/**
 * Alarm Update Request
 * Created by liuzhenxing01 on 2018/10/22.
 */
public class AlarmUpdateRequest extends AlarmCreateRequest {

    private String alarmId;

    public AlarmUpdateRequest(String alarmId, String name, String desc, List<String> batchIds, List<String> vehicleIds,
                              AlarmRule alarmRule, AlarmPolicy alarmPolicy) {
        super(name, desc, batchIds, vehicleIds, alarmRule, alarmPolicy);
        this.alarmId = alarmId;
    }

    public String getAlarmId() {
        return this.alarmId;
    }

    public void setAlarmId(String alarmId) {
        this.alarmId = alarmId;
    }

    @Override
    public Class responseType() {
        return AlarmUpdateResponse.class;
    }

    public static class AlarmUpdateResponse extends AbstractBceResponse {
    }
}